Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPOutlineFilter Class Reference

`#include <vtkPOutlineFilter.h>`

Inheritance diagram for vtkPOutlineFilter:

[legend]
Collaboration diagram for vtkPOutlineFilter:

[legend]
List of all members.

## Detailed Description

create wireframe outline for arbitrary data set

Date:
  2002/08/30 13:33:04

Revision:
  1.1

vtkPOutlineFilter works like vtkOutlineFilter, but it looks for data partitions in other processes. It assmues the fitler is operation in a data parallel pipeline.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (94%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPOutlineFilter.h)`
  - .`cxx` (`/Parallel/vtkPOutlineFilter.cxx)`

Definition at line 45 of file vtkPOutlineFilter.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetController (vtkMultiProcessController *)
virtual vtkMultiProcessController * | GetController ()
## Static Public Methods
vtkPOutlineFilter * | New ()
int | IsTypeOf (const char *type)
vtkPOutlineFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPOutlineFilter ()
| ~vtkPOutlineFilter ()
void | Execute ()
void | ExecuteInformation ()
## Protected Attributes
vtkMultiProcessController * | Controller
vtkOutlineSource * | OutlineSource

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkPOutlineFilter::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 49 of file vtkPOutlineFilter.h.

## Constructor & Destructor Documentation

vtkPOutlineFilter::vtkPOutlineFilter | ( |  | ) | `[protected]`

vtkPOutlineFilter::~vtkPOutlineFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPOutlineFilter* vtkPOutlineFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPOutlineFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkPOutlineFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkPOutlineFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkPOutlineFilter* vtkPOutlineFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkPOutlineFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

virtual void vtkPOutlineFilter::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| Set and get the controller.

virtual vtkMultiProcessController* vtkPOutlineFilter::GetController | ( |  | ) | `[virtual]`

| Set and get the controller.

void vtkPOutlineFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPOutlineFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

vtkMultiProcessController* vtkPOutlineFilter::Controller`[protected]`

| Definition at line 62 of file vtkPOutlineFilter.h.

vtkOutlineSource* vtkPOutlineFilter::OutlineSource`[protected]`

| Definition at line 63 of file vtkPOutlineFilter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPOutlineFilter.h